
CoCoA-5 - Feature #1701

Preliminary packages

17 Oct 2022 14:35 - John Abbott

Status: In Progress Start date: 17 Oct 2022

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 1.25 hour

Description

Some while ago Kreuzer gave me many CoCoA packages developed by his students over the years.

I did look at a few of them: they are not really fully robust an ready for release.

Ideally we would have time to make them fully robust, and fully documented.  In practice

we do not have the resources.

I would like to discuss the idea of making them available as preliminary packages

(not fully tested, not well-documented).  Some people may find them useful; and if we

are lucky, maybe someone else will take the time to finish them.  That seems better

than leaving them to gather dust in some remote directory in my file system.

Is this a reasonable suggestion?  If so, how might we actually go about making them

public?

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

Related to CoCoALib - Feature #1001: CoCoALib: ideas for student projects In Progress 19 Jan 2017

History

#1 - 17 Oct 2022 14:38 - John Abbott

As an example, there was a package implementing some common "transcendental functions" (e.g. sin, log).

I think the caller had to specify how many terms of the Taylor expansion to use.

The aim was not extreme speed, but at least to offer a way of computing such values (to an approximation which

the caller may specify).

#2 - 21 Oct 2022 15:25 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Anna approves the idea (in a nebulous way).

There are some thorny questions:

(A) how will these packages be documented?

(B) how can a normal user discover these packages, and their documentation

(C) Docmentation has several forms: on-line, latex, html

#3 - 21 Oct 2022 15:50 - John Abbott

Created new directory: src/CoCoA-5/packages/preliminary/

We'll think about documentation later...
#4 - 21 Oct 2022 15:51 - Anna Maria Bigatti

- Related to Support #242: CoCoA-5 Projects for students (e.g. crediti F and tesi) added

#5 - 21 Oct 2022 15:51 - Anna Maria Bigatti

- Related to Feature #1001: CoCoALib: ideas for student projects added

#6 - 18 Mar 2024 21:05 - John Abbott

We can put a page for preliminary packages in the main manual.  It should either contain a list of the packages (and how to access them), or else an

indication of where more information can be found.  The advantage of the latter approach is that the main manual (which is now quite large) would not

need to be changed each time there is a change to some preliminary package.
